Bug 511359 - avcs when running pluto with selinux in enforcing mode
avcs when running pluto with selinux in enforcing mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks: 469763
  Show dependency treegraph
 
Reported: 2009-07-14 15:57 EDT by Avesh Agarwal
Modified: 2009-09-02 04:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:01:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2009-07-14 15:57:51 EDT
Description of problem
Pluto calls an API FIPSCHECK_verify_files (part of fipscheck library) which reads /etc/init.d/ipsec for integrity checking. Selinux in enforce mode prevents that and pluto does not start.  

avcs:

Jul 14 17:22:22 dhcp231-228 setroubleshoot: SELinux is preventing fipscheck (ipsec_t) "read" to ./ipsec (initrc_exec_t). For complete SELinux messages. run sealert -l be5c0038-f50f-4c66-9177-3738ff049c2c

Jul 14 17:22:22 dhcp231-228 setroubleshoot: SELinux is preventing fipscheck (ipsec_t) "getattr" to /etc/rc.d/init.d/ipsec (initrc_exec_t). For complete SELinux messages. run sealert -l 94fef9d7-2385-4cfd-a21d-6f3eba19aa0

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-251.el5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no avcs

Expected results:


Additional info:
Comment 1 Daniel Walsh 2009-07-15 09:15:15 EDT
Fix for this is in selinux-policy-2.4.6-252.el5
Comment 8 errata-xmlrpc 2009-09-02 04:01:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.